Subject: Re: Can't build apache + mod_ssl + openssl on cygwin 1.3.3
From: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Oct 2001 17:53:11 +0200

This is not a cygwin issue.
Check the mod_ssl.h at line
73 to  see what causes the 
error. I think that to fix
this one should define EAPI
or something when compiling
Apache and modules.

MindTerm wrote:
> 
> Hi all,
> 
>   I have downloaded cygwin 1.3.3 and installed in
> win2k.
> 
>   I want to build a SSL-able apache. Finally, I choose
> apache + mod_ssl + openssl .
> 
>   I have built openssl 0.9.6b. ( cygwin build method )
> 
>   Then,
>   $ ./configure --with-apache=../apache_1.3.x
> --with-ssl=../openssl-0.9.x
>   is ok,
> 
>   Got a error when doing "make" :
> ===> src/modules/ssl
> gcc -c  -I../../os/cygwin -I../../include   -DCYGWIN
> -DMOD_SSL=208104 -DMOD_SSL=
> 208104 -DUSE_HSREGEX -DUSE_EXPAT
> -I../../lib/expat-lite -DNO_DL_NEEDED `../../ap
> aci` -DSSL_USE_SDBM
> -I/cygdrive/c/learning/openssl-0.9.6b/include
> -DMOD_SSL_VERS
> ION=\"2.8.4\" mod_ssl.c
> In file included from mod_ssl.c:65:
> mod_ssl.h:73: #error "mod_ssl requires Extended API
> (EAPI)"
> make[4]: *** [mod_ssl.o] Error 1
> make[3]: *** [all] Error 1
> make[2]: *** [subdirs] Error 1
> make[2]: Leaving directory
> `/cygdrive/c/learning/apache_1.3.20/src'
> make[1]: *** [build-std] Error 2
> make[1]: Leaving directory
> `/cygdrive/c/learning/apache_1.3.20'
> make: *** [build] Error 2
> 
> M.T.
> 
> __________________________________________________
> Do You Yahoo!?
> Listen to your Yahoo! Mail messages from any phone.
> http://phone.yahoo.com
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/